< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package time
  Definition Classes
    hmrc
-  package workingdays
  Definition Classes
    time
- BankHoliday
- BankHolidaySet
- LocalDateWithHolidays

c

uk.gov.hmrc.time.workingdays

# LocalDateWithHolidays 

###

#### implicit class LocalDateWithHolidays extends AnyRef

Annotations
  @implicitNotFound( ... )

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LocalDateWithHolidays
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new LocalDateWithHolidays(wrapped: LocalDate)(implicit bankHolidays: BankHolidaySet)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
11.  def isBankHoliday: Boolean
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def isWeekendDay: Boolean
14.  def isWorkingDay: Boolean
15.  def minusWorkingDays(days: Int): LocalDate

    Returns a copy of this date minus the specified number of working days to the LocalDate.

    Returns a copy of this date minus the specified number of working days to the LocalDate. Will skip weekends and bank holidays.

    days

      the amount of days to subtract, may be negative

    returns

      the new LocalDate minus the increased working days

16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def plusWorkingDays(days: Int): LocalDate

    Returns a copy of this date plus the specified number of working days to the LocalDate.

    Returns a copy of this date plus the specified number of working days to the LocalDate. Will skip weekends and bank holidays.

    days

      the amount of days to add, may be negative

    returns

      the new LocalDate plus the increased working days

20.  def rollBackWorkingDay: LocalDate

    Returns the previous working day for the current date.

    Returns the previous working day for the current date. Will skip weekends and bank holidays.

    returns

      the LocalDate that represents the previous working day

21.  def rollForwardWorkingDay: LocalDate

    Returns the next working day for the current date.

    Returns the next working day for the current date. Will skip weekends and bank holidays.

    returns

      the LocalDate that represents the next working day

22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped